//
//  Cnotroller.m
//  Core Animation Test
//
//  Created by mkino on 11/26/07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import "Cnotroller.h"


@implementation Cnotroller

- (void)awakeFromNib
{
    // レイヤーを作成する
    CALayer* layer;
    layer = [CALayer layer];
    
    // CGImageを作成する
    NSBitmapImageRep*   bitmapImage;
    CGImageRef          image;
    bitmapImage = [NSBitmapImageRep imageRepWithContentsOfFile:@"/Library/Desktop Pictures/Nature/Earth.jpg"];
    image = [bitmapImage CGImage];
    
    // レイヤーに画像を設定する
    layer.contents = (id)image;
    layer.frame = CGRectMake(0, 0, 256, 160);
    
    // 背景レイヤーを作成する
    CALayer*    backgroundLayer;
    CGColorRef  blackColor;
    backgroundLayer = [CALayer layer];
    blackColor = CGColorCreateGenericGray(0, 1.0f);
    backgroundLayer.backgroundColor = blackColor;
    CGColorRelease(blackColor);
    
    // 画像レイヤーを背景レイヤーに追加する
    [backgroundLayer addSublayer:layer];
    
    // レイヤーをビューに設定する
    [_view setLayer:backgroundLayer];
    [_view setWantsLayer:YES];
}

- (IBAction)doAnimation:(id)sender
{
}

@end
